%define nacoma_version 4.5.0
Summary: Management packs for op5 Monitor
Name: monitor-management-packs
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Group: op5/Monitor
URL: http://www.op5.se
Prefix: /usr
Requires: monitor-management-packs-apica-wpm-responsetime, monitor-management-packs-cisco-modular-switch, monitor-management-packs-cisco-switch, monitor-management-packs-cisco-ucs-chassi, monitor-management-packs-citrix-netscaler, monitor-management-packs-clavister-firewall, monitor-management-packs-dell-poweredge-server, monitor-management-packs-dns-server, monitor-management-packs-generic-server, monitor-management-packs-hp-procurve-switch, monitor-management-packs-hp-proliant-server, monitor-management-packs-linux-server, monitor-management-packs-linux-server-monitoring-via-snmpv3, monitor-management-packs-microsoft-ad-server, monitor-management-packs-microsoft-exchange-server-2013, monitor-management-packs-microsoft-hyper-v-server, monitor-management-packs-microsoft-iis-server, monitor-management-packs-microsoft-sql-server, monitor-management-packs-microsoft-windows-server-via-wmi, monitor-management-packs-op5-monitor-aps, monitor-management-packs-op5-monitor-server, monitor-management-packs-vmware-esxi-host, monitor-management-packs-vmware-host-monitoring-via-vcenter, monitor-management-packs-web-server, monitor-management-packs-web-server-with-https, monitor-management-packs-windows-server
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
%define manpack_dir %{_datadir}/monitor/management-packs
%define snmpd_service_dir /lib/systemd/system/naemon.service.d/
%define systemd (0%{?fedora} && 0%{?fedora} >= 18) || (0%{?rhel} && 0%{?rhel} >= 7)

%description
Management packs define and allow for convenient configuration of common monitoring targets.

%files
%defattr(-, monitor, root)
%dir %{manpack_dir}
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs
%if %systemd
%dir %{snmpd_service_dir}
%{snmpd_service_dir}op5-monitor.conf
%endif


%package apica-wpm-responsetime
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add monitoring of status and response time for checks configured in Apica WebPerformance.
Group: op5/Monitor



%description apica-wpm-responsetime
Add monitoring of status and response time for checks configured in Apica WebPerformance. Alerts on thresholds configured in WPM and sets appropriate state in op5 Monitor as well graphing the response time measured by Apica.  

%post apica-wpm-responsetime
if [ $1 == 1 ]; then
echo 'Apica WPM Responsetime' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files apica-wpm-responsetime
%defattr(-, monitor, root)
"%{manpack_dir}/Apica WPM Responsetime.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package cisco-modular-switch
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Adds hardware monitoring of a Cisco Modular Switch.
Group: op5/Monitor



%description cisco-modular-switch
Adds hardware monitoring of a Cisco Modular Switch. Card, module, fan, power-supply, voltage and temperature are monitored through SNMP.

%post cisco-modular-switch
if [ $1 == 1 ]; then
echo 'Cisco Modular Switch' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files cisco-modular-switch
%defattr(-, monitor, root)
"%{manpack_dir}/Cisco Modular Switch.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package cisco-switch
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Adds monitoring of hardware on a Cisco switch.
Group: op5/Monitor



%description cisco-switch
Adds monitoring of hardware on a Cisco switch. Fan, power-supply, voltage and temperature are monitored through SNMP.

%post cisco-switch
if [ $1 == 1 ]; then
echo 'Cisco switch' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files cisco-switch
%defattr(-, monitor, root)
"%{manpack_dir}/Cisco switch.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package cisco-ucs-chassi
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add hardware monitoring for a Cisco UCS Chassi.
Group: op5/Monitor



%description cisco-ucs-chassi
Add hardware monitoring for a Cisco UCS Chassi.
Monitors fan status, fault summary, IO card status, power supply and temperature status through SNMP.

%post cisco-ucs-chassi
if [ $1 == 1 ]; then
echo 'Cisco UCS Chassi' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files cisco-ucs-chassi
%defattr(-, monitor, root)
"%{manpack_dir}/Cisco UCS Chassi.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package citrix-netscaler
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add hardware monitoring for Citrix NetScaler.
Group: op5/Monitor



%description citrix-netscaler
Add hardware monitoring for Citrix NetScaler. Monitors fan, voltage, temperature, HA state and SSL engine through SNMP.

%post citrix-netscaler
if [ $1 == 1 ]; then
echo 'Citrix NetScaler' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files citrix-netscaler
%defattr(-, monitor, root)
"%{manpack_dir}/Citrix NetScaler.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package clavister-firewall
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Adds hardware monitoring of CPU load, memory usage, connections and userauth.
Group: op5/Monitor



%description clavister-firewall
Adds hardware monitoring of CPU load, memory usage, connections and userauth. It also provides information about system contact, description, location and name, using SNMPv2

%post clavister-firewall
if [ $1 == 1 ]; then
echo 'Clavister firewall' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files clavister-firewall
%defattr(-, monitor, root)
"%{manpack_dir}/Clavister firewall.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package dell-poweredge-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitor the hardware status of your Dell PowerEdge server.
Group: op5/Monitor



%description dell-poweredge-server
Monitor the hardware status of your Dell PowerEdge server. Dell OpenManage needs to be installed on the server you want to monitor.
Monitors storage, memory, fans, power, temperature, cpu and more through SNMP. For more info see https://kb.op5.com/x/DYIK

%post dell-poweredge-server
if [ $1 == 1 ]; then
echo 'Dell PowerEdge server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files dell-poweredge-server
%defattr(-, monitor, root)
"%{manpack_dir}/Dell PowerEdge server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package dns-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Generic DNS server monitoring.
Group: op5/Monitor



%description dns-server
Generic DNS server monitoring.

%post dns-server
if [ $1 == 1 ]; then
echo 'DNS server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files dns-server
%defattr(-, monitor, root)
"%{manpack_dir}/DNS server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package generic-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This pack sets up the most basic server monitoring.
Group: op5/Monitor



%description generic-server
This pack sets up the most basic server monitoring. Use this if you are not sure what the server is running, or if none of the other management packs suit your needs.

%post generic-server
if [ $1 == 1 ]; then
echo 'Generic server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files generic-server
%defattr(-, monitor, root)
"%{manpack_dir}/Generic server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package hp-procurve-switch
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Adds monitoring of hardware on a HP ProCurve switch.
Group: op5/Monitor



%description hp-procurve-switch
Adds monitoring of hardware on a HP ProCurve switch. Fan, power-supply and temperature are monitored through SNMP.

%post hp-procurve-switch
if [ $1 == 1 ]; then
echo 'HP ProCurve switch' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files hp-procurve-switch
%defattr(-, monitor, root)
"%{manpack_dir}/HP ProCurve switch.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package hp-proliant-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Adds hardware monitoring for HP ProLiant servers.
Group: op5/Monitor



%description hp-proliant-server
Adds hardware monitoring for HP ProLiant servers. Monitors NIC, RAID, temp and fans. HP Insight Management Agent needs to be installed and SNMP must be set to allow queries from op5 Monitor server.

%post hp-proliant-server
if [ $1 == 1 ]; then
echo 'HP ProLiant server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files hp-proliant-server
%defattr(-, monitor, root)
"%{manpack_dir}/HP ProLiant server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package linux-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add monitoring on a Linux server.
Group: op5/Monitor



%description linux-server
Add monitoring on a Linux server. Monitors various services such as disk usage, system load, swap usage, total processes, zombie processes, current users and more through NRPE. Requires NRPE to be installed on the Linux server.

%post linux-server
if [ $1 == 1 ]; then
echo 'Linux server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files linux-server
%defattr(-, monitor, root)
"%{manpack_dir}/Linux server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package linux-server-monitoring-via-snmpv3
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add monitoring on a Linux server.
Group: op5/Monitor



%description linux-server-monitoring-via-snmpv3
Add monitoring on a Linux server. Monitor various services such as disk usage, cpu usage, system load average, ram usage, swap usage, total processes, zombie processes, crond processes and more. Requires SNMP on the monitored server and a correct configuration of a user with authentication mechanism SHA and privacy encryption algorithm AES. For more information about SNMP configuration please visit https://kb.op5.com/x/6oPf

%post linux-server-monitoring-via-snmpv3
if [ $1 == 1 ]; then
echo 'Linux server monitoring via SNMPv3' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files linux-server-monitoring-via-snmpv3
%defattr(-, monitor, root)
"%{manpack_dir}/Linux server monitoring via SNMPv3.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-ad-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors Windows Active Directory servers.
Group: op5/Monitor



%description microsoft-ad-server
Monitors Windows Active Directory servers. 
Monitors DRA services, LDAP services and overall AD health. 
AD server need to to be prepared, see 'Prepare NSClient' at https://kb.op5.com/x/VYIK

%post microsoft-ad-server
if [ $1 == 1 ]; then
echo 'Microsoft AD server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-ad-server
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft AD server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-exchange-server-2013
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Basic monitoring for Microsoft Exchange Server 2013.
Group: op5/Monitor



%description microsoft-exchange-server-2013
Basic monitoring for Microsoft Exchange Server 2013. Use this management pack in combination with Windows Standard Server. 
Monitors services such as SMTP, mailbox delivery queue length, poison queue length, unreachable queue length and more.
Requires NSClient++ on the server.

%post microsoft-exchange-server-2013
if [ $1 == 1 ]; then
echo 'Microsoft Exchange Server 2013' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-exchange-server-2013
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft Exchange Server 2013.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-hyper-v-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors Microsoft Hyper-V Server.
Group: op5/Monitor



%description microsoft-hyper-v-server
Monitors Microsoft Hyper-V Server.
Monitors disk read average, disk write average, disk usage, hypervisor runtime and more. Use this with Windows Standard management pack.
Requires NSClient++

%post microsoft-hyper-v-server
if [ $1 == 1 ]; then
echo 'Microsoft Hyper-V Server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-hyper-v-server
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft Hyper-V Server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-iis-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitor Microsoft IIS server.
Group: op5/Monitor



%description microsoft-iis-server
Monitor Microsoft IIS server. Combine this with Windows Standard Server management pack. 
Monitors services such as current connections, ping, WWW Publishing Service, HTTP test, pool nonpaged bytes and URI cache hits. 
Requires NSClient++

%post microsoft-iis-server
if [ $1 == 1 ]; then
echo 'Microsoft IIS server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-iis-server
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft IIS server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-sql-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Add monitoring for a Microsoft SQL Server.
Group: op5/Monitor



%description microsoft-sql-server
Add monitoring for a Microsoft SQL Server. Use with Standard Windows Server.
Monitors deadlocks/sec, cache hit ratio, disk read average, disk write average and more.
Requires NSClient++ to be installed on the server.

%post microsoft-sql-server
if [ $1 == 1 ]; then
echo 'Microsoft SQL Server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-sql-server
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft SQL Server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package microsoft-windows-server-via-wmi
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors Windows Server using WMI.
Group: op5/Monitor



%description microsoft-windows-server-via-wmi
Monitors Windows Server using WMI. Checks CPU usage, disk I/O, disk usage, swap usage and Terminial Services sessions.

%post microsoft-windows-server-via-wmi
if [ $1 == 1 ]; then
echo 'Microsoft Windows Server via WMI' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files microsoft-windows-server-via-wmi
%defattr(-, monitor, root)
"%{manpack_dir}/Microsoft Windows Server via WMI.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package op5-monitor-aps
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors APS.
Group: op5/Monitor



%description op5-monitor-aps
Monitors APS. This is a hardware specific monitoring management pack which monitors various services such as  hardware status, dell openmanages etc.

%post op5-monitor-aps
if [ $1 == 1 ]; then
echo 'OP5 Monitor APS' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files op5-monitor-aps
%defattr(-, monitor, root)
"%{manpack_dir}/OP5 Monitor APS.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package op5-monitor-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors OP5 server.
Group: op5/Monitor



%description op5-monitor-server
Monitors OP5 server. This is a self monitoring management pack which monitors various services of the OP5 Monitor such as license, backup, system updates etc.

%post op5-monitor-server
if [ $1 == 1 ]; then
echo 'OP5 Monitor Server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files op5-monitor-server
%defattr(-, monitor, root)
"%{manpack_dir}/OP5 Monitor Server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package vmware-esxi-host
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Monitors runtime status, runtime health, runtime issues, CPU usage, memory usage, I/O read latency and I/O write latency on a standalone VMware ESXi virtualization host.
Group: op5/Monitor



%description vmware-esxi-host
Monitors runtime status, runtime health, runtime issues, CPU usage, memory usage, I/O read latency and I/O write latency on a standalone VMware ESXi virtualization host.

%post vmware-esxi-host
if [ $1 == 1 ]; then
echo 'Standalone VMware ESXi virtualization host' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files vmware-esxi-host
%defattr(-, monitor, root)
"%{manpack_dir}/Standalone VMware ESXi virtualization host.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package vmware-host-monitoring-via-vcenter
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: This pack enables monitoring of one or multiple VMware hosts with the following features: CPU, memory, swap and network usage, I/O read and write latency, runtime status and runtime issues.
Group: op5/Monitor



%description vmware-host-monitoring-via-vcenter
This pack enables monitoring of one or multiple VMware hosts with the following features: CPU, memory, swap and network usage, I/O read and write latency, runtime status and runtime issues.
Preparations: VMware vSphere Perl API needs to be installed.
The host needs to have the IP address or FQDN set as name on the VMware host in vCenter.

%post vmware-host-monitoring-via-vcenter
if [ $1 == 1 ]; then
echo 'VMware host monitoring via vCenter' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files vmware-host-monitoring-via-vcenter
%defattr(-, monitor, root)
"%{manpack_dir}/VMware host monitoring via vCenter.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package web-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Tests if a web server is up and running.
Group: op5/Monitor



%description web-server
Tests if a web server is up and running. Note: some web servers require that you configure the host name instead of host IP address when adding the server.

%post web-server
if [ $1 == 1 ]; then
echo 'Web server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files web-server
%defattr(-, monitor, root)
"%{manpack_dir}/Web server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package web-server-with-https
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Tests if a web server with HTTPS support is up and running.
Group: op5/Monitor
Obsoletes: monitor-management-packs-web-server-https < 2016.d.1
Provides: monitor-management-packs-web-server-https

%description web-server-with-https
Tests if a web server with HTTPS support is up and running. Note: some web servers require that you configure the host name instead of host IP address when adding the server.

%post web-server-with-https
if [ $1 == 1 ]; then
echo 'Web server with HTTPS' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files web-server-with-https
%defattr(-, monitor, root)
"%{manpack_dir}/Web server with HTTPS.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs

%package windows-server
Requires: monitor-nacoma >= %nacoma_version
Requires: op5-monitor-user
Requires: op5-mysql
Summary: Standard monitoring of disk, CPU, memory and services.
Group: op5/Monitor



%description windows-server
Standard monitoring of disk, CPU, memory and services. Requires the op5 NSClient++ agent to be installed on the server.

%post windows-server
if [ $1 == 1 ]; then
echo 'Windows server' >> %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
fi

%files windows-server
%defattr(-, monitor, root)
"%{manpack_dir}/Windows server.json"
%dir %{_localstatedir}/lib/rpm-state/monitor-management-packs


%posttrans
if [ -e %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin ]; then
	cat %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin | while read l; do
		php /opt/monitor/op5/nacoma/mgmtpackimport.php --import --name "$l" || :
	done
	rm %{_localstatedir}/lib/rpm-state/monitor-management-packs/postin
	php /opt/monitor/op5/nacoma/api/monitor.php -a save_config
fi

%prep

%setup -q

%build

%install
mkdir --parents %{buildroot}%{_localstatedir}/lib/rpm-state/monitor-management-packs
mkdir --parents %{buildroot}%{manpack_dir}
cp *.json %buildroot%{manpack_dir}
%if %systemd
mkdir --parents %{buildroot}%{snmpd_service_dir}
cp op5-monitor.conf  %{buildroot}%{snmpd_service_dir}
%endif

%post
%if %systemd
systemctl daemon-reload
systemctl try-restart naemon || :
%endif

%clean
rm -rf %buildroot

%changelog
* Mon Sep 16 2013 Anton Lofgren <alofgren@op5.com>
- Initial RPM package
